/***************************************************************************

 TextEditor.mcc - Textediting MUI Custom Class
 Copyright (C) 1997-2000 Allan Odgaard
 Copyright (C) 2005 by TextEditor.mcc Open Source Team

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 TextEditor class Support Site:  http://www.sf.net/projects/texteditor-mcc

 $Id$

***************************************************************************/

/**
 **  Source code generated by SBGen.
 **
 **/


#include <exec/types.h>
#include <intuition/intuition.h>


/* Image data definitions.
 */
__chip UWORD sb_data[][64] =
{
  /* Cut
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0e01, 0xc000, 0x1107, 0x8000,
    0x191e, 0x0000, 0x0f78, 0x0000,
    0x01e0, 0x0000, 0x0f78, 0x0000,
    0x191e, 0x0000, 0x1107, 0x8000,
    0x0e01, 0xc000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Copy
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x01fe, 0x0000, 0x0186, 0x0000,
    0x01fe, 0x0000, 0x0630, 0x8000,
    0x1fff, 0xe000, 0x1f87, 0xe000,
    0x1f03, 0xe000, 0x1f03, 0xe000,
    0x1f03, 0xe000, 0x1f87, 0xe000,
    0x1fff, 0xe000, 0x1fff, 0xe000,
    0x0000, 0x0000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0078, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0060, 0x0000, 0x0044, 0x0000,
    0x0004, 0x0000, 0x0018, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Paste
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x003f, 0x0000,
    0x0021, 0x0000, 0x007f, 0x8000,
    0x0080, 0x4000, 0x0081, 0xc000,
    0x0780, 0x4000, 0x0861, 0xc000,
    0x0f20, 0x4000, 0x0891, 0xc000,
    0x0950, 0x4000, 0x0251, 0xc000,
    0x05e0, 0x4000, 0x0880, 0xc000,
    0x307f, 0x8000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0006, 0x0000, 0x0000, 0x0000,
    0x0007, 0x0000, 0x0002, 0x0000,
    0x0002, 0x0000, 0x0782, 0x0000,
    0x00c2, 0x0000, 0x0062, 0x0000,
    0x0222, 0x0000, 0x0422, 0x0000,
    0x0802, 0x0000, 0x1002, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Undo
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0040, 0x0000,
    0x0060, 0x0000, 0x1573, 0x8000,
    0x157b, 0xe000, 0x1573, 0xe000,
    0x0060, 0xf000, 0x0040, 0x7000,
    0x0200, 0x7000, 0x0600, 0xf000,
    0x0fff, 0xe000, 0x1fff, 0xe000,
    0x0fff, 0x8000, 0x0600, 0x0000,
    0x0200, 0x0000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0040, 0x0000,
    0x0060, 0x0000, 0x1570, 0x0000,
    0x1578, 0x0000, 0x1570, 0x0000,
    0x0060, 0x0000, 0x0040, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Bold
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x03fe, 0x0000, 0x01cf, 0x0000,
    0x01c7, 0x0000, 0x01c7, 0x0000,
    0x01ce, 0x0000, 0x01ff, 0x0000,
    0x01c7, 0x8000, 0x01c3, 0x8000,
    0x01c3, 0x8000, 0x01c3, 0x8000,
    0x01c7, 0x0000, 0x03fe, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Italics
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0787, 0x8000, 0x0303, 0x0000,
    0x0303, 0x0000, 0x0303, 0x0000,
    0x0303, 0x0000, 0x0303, 0x0000,
    0x0303, 0x0000, 0x0303, 0x0000,
    0x0387, 0x0000, 0x01ce, 0x0000,
    0x00fc, 0x0000, 0x0000, 0x0000,
    0x07ff, 0x8000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Underline
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x001f, 0x0000, 0x000c, 0x0000,
    0x000c, 0x0000, 0x0018, 0x0000,
    0x0018, 0x0000, 0x0030, 0x0000,
    0x0030, 0x0000, 0x0060, 0x0000,
    0x0060, 0x0000, 0x00c0, 0x0000,
    0x00c0, 0x0000, 0x03e0, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Centre
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x7fff, 0xf800, 0x4000, 0x0800,
    0x4078, 0x0800, 0x4800, 0x4800,
    0x4cfc, 0xc800, 0x7e01, 0xf800,
    0x7f33, 0xf800, 0x7e01, 0xf800,
    0x4c78, 0xc800, 0x4800, 0x4800,
    0x40fc, 0x0800, 0x4000, 0x0800,
    0x7fff, 0xf800, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x3fff, 0xf000,
    0x3f87, 0xf000, 0x37ff, 0xb000,
    0x3303, 0x3000, 0x01fe, 0x0000,
    0x00cc, 0x0000, 0x01fe, 0x0000,
    0x3387, 0x3000, 0x37ff, 0xb000,
    0x3f03, 0xf000, 0x3fff, 0xf000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Left Align
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x3fff, 0xf000, 0x2000, 0x1000,
    0x27c0, 0x1000, 0x2000, 0x9000,
    0x27f1, 0x9000, 0x2003, 0xf000,
    0x2787, 0xf000, 0x2003, 0xf000,
    0x27f1, 0x9000, 0x2000, 0x9000,
    0x27c0, 0x1000, 0x2000, 0x1000,
    0x3fff, 0xf000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x1fff, 0xe000,
    0x183f, 0xe000, 0x1fff, 0x6000,
    0x180e, 0x6000, 0x1ffc, 0x0000,
    0x1878, 0x0000, 0x1ffc, 0x0000,
    0x180e, 0x6000, 0x1fff, 0x6000,
    0x183f, 0xe000, 0x1fff, 0xe000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* Right Align
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x3fff, 0xf000, 0x2000, 0x1000,
    0x200f, 0x9000, 0x2400, 0x1000,
    0x263f, 0x9000, 0x3f00, 0x1000,
    0x3f87, 0x9000, 0x3f00, 0x1000,
    0x263f, 0x9000, 0x2400, 0x1000,
    0x200f, 0x9000, 0x2000, 0x1000,
    0x3fff, 0xf000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x1fff, 0xe000,
    0x1ff0, 0x6000, 0x1bff, 0xe000,
    0x19c0, 0x6000, 0x00ff, 0xe000,
    0x0078, 0x6000, 0x00ff, 0xe000,
    0x19c0, 0x6000, 0x1bff, 0xe000,
    0x1ff0, 0x6000, 0x1fff, 0xe000,
    0x0000, 0x0000, 0x0000, 0x0000 
  },
  /* New Project
   */
  {
    /* Plane 0 */
    0x0000, 0x0000, 0x0000, 0x0000,
    0x00f0, 0x0000, 0x0018, 0x0000,
    0x0014, 0x0000, 0x0412, 0x0000,
    0x041f, 0x0000, 0x0401, 0x8000,
    0x0401, 0x8000, 0x0401, 0x8000,
    0x0401, 0x8000, 0x0401, 0x8000,
    0x0401, 0x8000, 0x07ff, 0x8000,
    0x01ff, 0x8000, 0x0000, 0x0000,
    /* Plane 1 */
    0x0400, 0x0000, 0x0400, 0x0000,
    0x1f00, 0x0000, 0x07e0, 0x0000,
    0x07e8, 0x0000, 0x03ec, 0x0000,
    0x03e0, 0x0000, 0x03fe, 0x0000,
    0x03fe, 0x0000, 0x03fe, 0x0000,
    0x03fe, 0x0000, 0x03fe, 0x0000,
    0x03fe, 0x0000, 0x0000, 0x0000,
    0x0000, 0x0000, 0x0000, 0x0000 
  }
};

/* Image structures for above data.
 */
struct Image sb_images[] =
{
  { 0, 0, 22, 16, 2, sb_data[0], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[1], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[2], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[3], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[4], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[5], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[6], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[7], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[8], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[9], 0x03, 0x00, NULL },
  { 0, 0, 22, 16, 2, sb_data[10], 0x03, 0x00, NULL },
};

